Skip to main content
GET
/
2025-07
/
retail-media
/
accounts
/
{account-id}
/
creatives
/2025-07/retail-media/accounts/{account-id}/creatives
curl --request GET \
  --url https://api.criteo.com/2025-07/retail-media/accounts/{account-id}/creatives \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "name": "<string>",
        "retailerId": 123,
        "associatedLineItemIds": [
          "<string>"
        ],
        "brandId": 123,
        "id": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

External account id to retrieve creatives for

Response

200 - application/json

Creatives found

A top-level object that encapsulates a Criteo API response for several entities.

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only